Subject: Re: bug#19972: Font size change doesn't update (window-total-width)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Mar 2015 16:23:13 +0200

> From: Steve Purcell <[email-masked]>
> Date: Mon, 2 Mar 2015 14:07:27 +0000
> 
> Given that window-width returns a number based on both the current frame/window size and the width of the ‘default face, then if the value is going to be stored for later re-use, any change to the default face should also cause it to be recomputed.

That's not how things work in Emacs.  We recompute window metrics when
we resize the window, and frame metrics when we resize the frame.
Changing the default face's font triggers one such resize, and the
values that are supposed to change are recomputed.

> What I’m picking up is that only frame/window size changes currently cause that recomputation, hence this issue.

Maybe you are right, but I'm not yet convinced, because I don't yet
have a clear picture of what causes the frame to be resized back to
the display size.  The OP is on GNU/Linux, so native NS features
cannot be the explanation there.